/**
 * Created by zhang on 2018/9/10.
 */

import mongoose from "mongoose";

const uuidV1 = require('uuid/v1');
let moment = require("moment");
let quantityModel = mongoose.model('std_main_quantity_lib');

let quantityLib = {
    findByCondition:async function(conditions,options,single=true){
        if(single == true){
            return await quantityModel.findOne(conditions,options);
        }else {
            return await  quantityModel.find(conditions,options);
        }
    },
    addLib : async function (data){
        let now = new Date().getTime();
        let dateStr = moment(now).format('YYYY-MM-DD HH:mm:ss');
        let newLib = {
            creator: data.userAccount,
            createDate: now,
            recentOpr: [{operator: data.userAccount, operateDate: dateStr}],
            name: data.name,
        };
        newLib.ID = uuidV1();
        return await quantityModel.create(newLib);


    },
    saveLib:async function(param) {
        return await quantityModel.findOneAndUpdate(param.query,param.data,{new:true});
    },
    deleteLibByID:async function(ID){
        return await quantityModel.deleteOne({ID:ID});
    }
};

export default quantityLib